> ## Documentation Index
> Fetch the complete documentation index at: https://anyip.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Replaces the ProxyAccount resource.

> Replaces the ProxyAccount resource.



## OpenAPI

````yaml /openapi.json put /api/teams/{team_id}/proxy_accounts/{id}
openapi: 3.1.0
info:
  title: AnyIP.io API documentation
  description: API documentation
  version: 1.0.0
servers:
  - url: /
    description: ''
security:
  - apiHeader: []
tags:
  - name: Export
    description: Export operations
  - name: IPWhitelist
    description: Supplementary IP whitelist operations
  - name: Payment
    description: Team payment invoice download
  - name: ProxyAccount
    description: Resource 'ProxyAccount' operations.
  - name: ProxyProfile
    description: Supplementary proxy profile operations
  - name: Tag
    description: Core tag operations
  - name: Team
    description: NOWPayments subscription operations
  - name: Traffic
    description: Resource 'Traffic' operations.
  - name: User
    description: Deprecated user subscription and payment operations
paths:
  /api/teams/{team_id}/proxy_accounts/{id}:
    put:
      tags:
        - ProxyAccount
      summary: Replaces the ProxyAccount resource.
      description: Replaces the ProxyAccount resource.
      operationId: api_teams_team_idproxy_accounts_id_put
      parameters:
        - name: team_id
          in: path
          description: Team identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
        - name: id
          in: path
          description: ProxyAccount identifier
          required: true
          deprecated: false
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        description: The updated ProxyAccount resource
        content:
          application/ld+json:
            schema:
              $ref: '#/components/schemas/ProxyAccount-proxy_account.write'
          application/json:
            schema:
              $ref: '#/components/schemas/ProxyAccount-proxy_account.write'
          text/html:
            schema:
              $ref: '#/components/schemas/ProxyAccount-proxy_account.write'
        required: true
      responses:
        '200':
          description: ProxyAccount resource updated
          content:
            application/ld+json:
              schema:
                $ref: >-
                  #/components/schemas/ProxyAccount.jsonld-proxy_account.read_consumption.read_last_activity.read_proxy_account.personal_hash_proxy_profile.from_proxy_account
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ProxyAccount-proxy_account.read_consumption.read_last_activity.read_proxy_account.personal_hash_proxy_profile.from_proxy_account
            text/html:
              schema:
                $ref: >-
                  #/components/schemas/ProxyAccount.html-proxy_account.read_consumption.read_last_activity.read_proxy_account.personal_hash_proxy_profile.from_proxy_account
          links: {}
        '400':
          description: Invalid input
          content:
            application/ld+json:
              schema:
                $ref: '#/components/schemas/Error.jsonld'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
        '403':
          description: Forbidden
          content:
            application/ld+json:
              schema:
                $ref: '#/components/schemas/Error.jsonld'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
        '404':
          description: Not found
          content:
            application/ld+json:
              schema:
                $ref: '#/components/schemas/Error.jsonld'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Error'
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          links: {}
        '422':
          description: An error occurred
          content:
            application/ld+json:
              schema:
                $ref: '#/components/schemas/ConstraintViolation.jsonld'
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ConstraintViolation'
            application/json:
              schema:
                $ref: '#/components/schemas/ConstraintViolation'
          links: {}
components:
  schemas:
    ProxyAccount-proxy_account.write:
      type: object
      properties:
        description:
          maxLength: 256
          type:
            - string
            - 'null'
        enabled:
          default: true
          type: boolean
        quota:
          default: 0
          type: integer
        plain_password:
          minLength: 6
          pattern: ^([a-zA-Z0-9_]+)$
          type:
            - string
            - 'null'
    ProxyAccount.jsonld-proxy_account.read_consumption.read_last_activity.read_proxy_account.personal_hash_proxy_profile.from_proxy_account:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            id:
              readOnly: true
              type: string
            description:
              maxLength: 256
              type:
                - string
                - 'null'
            enabled:
              default: true
              type: boolean
            enabled_by_admin:
              default: true
              type: boolean
            status:
              readOnly: true
              default: ACCOUNT_BLOCKED
              type: string
            is_active:
              readOnly: true
              default: false
              type: boolean
            username:
              minLength: 6
              type: string
            quota:
              default: 0
              type: integer
            plain_password:
              minLength: 6
              pattern: ^([a-zA-Z0-9_]+)$
              type:
                - string
                - 'null'
            proxy_profiles:
              type: array
              items:
                $ref: >-
                  #/components/schemas/ProxyProfile.jsonld-proxy_account.read_consumption.read_last_activity.read_proxy_account.personal_hash_proxy_profile.from_proxy_account
            hash:
              readOnly: true
              type: string
            quota_str:
              readOnly: true
              type: string
            bytes_recv:
              default: 0
              type: integer
            bytes_sent:
              default: 0
              type: integer
            last_activity_at:
              type:
                - string
                - 'null'
              format: date-time
            ip_whitelist:
              deprecated: true
              default:
                is_enabled: false
                ips: []
                ports: []
              type: object
              properties:
                is_enabled:
                  type: boolean
                ips:
                  type: array
                  items:
                    type: string
                ports:
                  type: array
                  items:
                    type: string
            consumption_str:
              readOnly: true
              type: string
            consumption:
              readOnly: true
              type: integer
    ProxyAccount-proxy_account.read_consumption.read_last_activity.read_proxy_account.personal_hash_proxy_profile.from_proxy_account:
      type: object
      properties:
        id:
          readOnly: true
          type: string
        description:
          maxLength: 256
          type:
            - string
            - 'null'
        enabled:
          default: true
          type: boolean
        enabled_by_admin:
          default: true
          type: boolean
        status:
          readOnly: true
          default: ACCOUNT_BLOCKED
          type: string
        is_active:
          readOnly: true
          default: false
          type: boolean
        username:
          minLength: 6
          type: string
        quota:
          default: 0
          type: integer
        plain_password:
          minLength: 6
          pattern: ^([a-zA-Z0-9_]+)$
          type:
            - string
            - 'null'
        proxy_profiles:
          type: array
          items:
            $ref: >-
              #/components/schemas/ProxyProfile-proxy_account.read_consumption.read_last_activity.read_proxy_account.personal_hash_proxy_profile.from_proxy_account
        hash:
          readOnly: true
          type: string
        quota_str:
          readOnly: true
          type: string
        bytes_recv:
          default: 0
          type: integer
        bytes_sent:
          default: 0
          type: integer
        last_activity_at:
          type:
            - string
            - 'null'
          format: date-time
        ip_whitelist:
          deprecated: true
          default:
            is_enabled: false
            ips: []
            ports: []
          type: object
          properties:
            is_enabled:
              type: boolean
            ips:
              type: array
              items:
                type: string
            ports:
              type: array
              items:
                type: string
        consumption_str:
          readOnly: true
          type: string
        consumption:
          readOnly: true
          type: integer
    ProxyAccount.html-proxy_account.read_consumption.read_last_activity.read_proxy_account.personal_hash_proxy_profile.from_proxy_account:
      type: object
      properties:
        id:
          readOnly: true
          type: string
        description:
          maxLength: 256
          type:
            - string
            - 'null'
        enabled:
          default: true
          type: boolean
        enabled_by_admin:
          default: true
          type: boolean
        status:
          readOnly: true
          default: ACCOUNT_BLOCKED
          type: string
        is_active:
          readOnly: true
          default: false
          type: boolean
        username:
          minLength: 6
          type: string
        quota:
          default: 0
          type: integer
        plain_password:
          minLength: 6
          pattern: ^([a-zA-Z0-9_]+)$
          type:
            - string
            - 'null'
        proxy_profiles:
          type: array
          items:
            $ref: >-
              #/components/schemas/ProxyProfile.html-proxy_account.read_consumption.read_last_activity.read_proxy_account.personal_hash_proxy_profile.from_proxy_account
        hash:
          readOnly: true
          type: string
        quota_str:
          readOnly: true
          type: string
        bytes_recv:
          default: 0
          type: integer
        bytes_sent:
          default: 0
          type: integer
        last_activity_at:
          type:
            - string
            - 'null'
          format: date-time
        ip_whitelist:
          deprecated: true
          default:
            is_enabled: false
            ips: []
            ports: []
          type: object
          properties:
            is_enabled:
              type: boolean
            ips:
              type: array
              items:
                type: string
            ports:
              type: array
              items:
                type: string
        consumption_str:
          readOnly: true
          type: string
        consumption:
          readOnly: true
          type: integer
    Error.jsonld:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            title:
              readOnly: true
              description: A short, human-readable summary of the problem.
              type:
                - string
                - 'null'
            detail:
              readOnly: true
              description: >-
                A human-readable explanation specific to this occurrence of the
                problem.
              type:
                - string
                - 'null'
            status:
              type:
                - integer
                - 'null'
              examples:
                - 404
              default: 400
            instance:
              readOnly: true
              description: >-
                A URI reference that identifies the specific occurrence of the
                problem. It may or may not yield further information if
                dereferenced.
              type:
                - string
                - 'null'
            type:
              readOnly: true
              description: A URI reference that identifies the problem type
              type: string
            description:
              readOnly: true
              type:
                - string
                - 'null'
      description: A representation of common errors.
    Error:
      type: object
      description: A representation of common errors.
      properties:
        title:
          readOnly: true
          description: A short, human-readable summary of the problem.
          type:
            - string
            - 'null'
        detail:
          readOnly: true
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
          examples:
            - 404
          default: 400
        instance:
          readOnly: true
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem. It may or may not yield further information if
            dereferenced.
          type:
            - string
            - 'null'
        type:
          readOnly: true
          description: A URI reference that identifies the problem type
          type: string
    ConstraintViolation.jsonld:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            status:
              default: 422
              type: integer
            violations:
              type: array
              items:
                type: object
                properties:
                  propertyPath:
                    type: string
                    description: The property path of the violation
                  message:
                    type: string
                    description: The message associated with the violation
                  code:
                    type: string
                    description: The code of the violation
                  hint:
                    type: string
                    description: An extra hint to understand the violation
                  payload:
                    type: object
                    additionalProperties: true
                    description: The serialized payload of the violation
                required:
                  - propertyPath
                  - message
            detail:
              readOnly: true
              type: string
            description:
              readOnly: true
              type: string
            type:
              readOnly: true
              type: string
            title:
              readOnly: true
              type:
                - string
                - 'null'
            instance:
              readOnly: true
              type:
                - string
                - 'null'
      description: Unprocessable entity
    ConstraintViolation:
      type: object
      description: Unprocessable entity
      properties:
        status:
          default: 422
          type: integer
        violations:
          type: array
          items:
            type: object
            properties:
              propertyPath:
                type: string
                description: The property path of the violation
              message:
                type: string
                description: The message associated with the violation
              code:
                type: string
                description: The code of the violation
              hint:
                type: string
                description: An extra hint to understand the violation
              payload:
                type: object
                additionalProperties: true
                description: The serialized payload of the violation
            required:
              - propertyPath
              - message
        detail:
          readOnly: true
          type: string
        type:
          readOnly: true
          type: string
        title:
          readOnly: true
          type:
            - string
            - 'null'
        instance:
          readOnly: true
          type:
            - string
            - 'null'
    HydraItemBaseSchema:
      type: object
      properties:
        '@context':
          oneOf:
            - type: string
            - type: object
              properties:
                '@vocab':
                  type: string
                hydra:
                  type: string
                  enum:
                    - http://www.w3.org/ns/hydra/core#
              required:
                - '@vocab'
                - hydra
              additionalProperties: true
        '@id':
          type: string
        '@type':
          type: string
      required:
        - '@id'
        - '@type'
    ProxyProfile.jsonld-proxy_account.read_consumption.read_last_activity.read_proxy_account.personal_hash_proxy_profile.from_proxy_account:
      allOf:
        - $ref: '#/components/schemas/HydraItemBaseSchema'
        - type: object
          properties:
            id:
              readOnly: true
              type: string
            name:
              minLength: 3
              default: ''
              type: string
      description: Core proxy profile operations
    ProxyProfile-proxy_account.read_consumption.read_last_activity.read_proxy_account.personal_hash_proxy_profile.from_proxy_account:
      type: object
      properties:
        id:
          readOnly: true
          type: string
        name:
          minLength: 3
          default: ''
          type: string
    ProxyProfile.html-proxy_account.read_consumption.read_last_activity.read_proxy_account.personal_hash_proxy_profile.from_proxy_account:
      type: object
      properties:
        id:
          readOnly: true
          type: string
        name:
          minLength: 3
          default: ''
          type: string
  securitySchemes:
    apiHeader:
      type: apiKey
      description: Value for the api-key header parameter.
      name: api-key
      in: header

````